#define CAUTION_WX 28
#define CAUTION_WY 8

CautionWindow::CautionWindow(KdWindow* parent, int _x, int _y, char* _msg)
	: KdWindow(parent)
{
	msg = new char*[strlen(_msg) + 1];
	strcpy(msg, _msg);
	x = _x;
	y = _y;
}


int
CautionWindow::init()
{
	XGCValues gv;
	
	gv.graphics_exposures = False;
    gc = XCreateGC(dis, win, GCGraphicsExposures, &gv);
}


int
CautionWindow::paint(LODRectList* rl)
{
	set_clip(gc, rl);
	XCopyArea(dis,
			  caut_pm,
			  win,
			  gc,
			  0, 0, CAUTION_WX*8, CAUTION_WY*8,
			  x*8, y*8);
	set_text_color(WhitePixel(dis, scr));
	draw_string();
	set_clip(gc, NULL);
	return ST_NONE;
}


