#include <stdio.h>
#include "LODRect.h"

/*
========================================================================
ǽ: Υ쥯󥰥ȸäƤ1֤
: r = оݥ쥯󥰥
: äƤ1, Ǥʤ0
­:
========================================================================
*/
int
LODRect::intersect(LODRect* r)
{
	if (((left<=r->right-1 && r->right-1 < right)
		 ||
		 (left<=r->left && r->left < right)
		 ||
		 (r->left<=right-1 && right-1 < r->right)
		 ||
		 (r->left<=left && left < r->right))
		&&
		((top<=r->bottom-1 && r->bottom-1 <bottom)
		 ||
		 (top<=r->top && r->top <bottom)
		 ||
		 (r->top<=bottom-1 && bottom-1 <r->bottom)
		 ||
		 (r->top<=top && top <r->bottom))) {
		return 1;
	}
    return 0;
}


/*
========================================================================
ǽ: Υ쥯󥰥ޤǤ1֤
: r = оݥ쥯󥰥
: ޤǤ1, Ǥʤ0
­:
========================================================================
*/
int
LODRect::include(LODRect* r)
{
    if ((top<=r->top && r->top<=bottom && top<=r->bottom && r->bottom<=bottom)
        &&
        (left<=r->right && r->right<=right && left<=r->left && r->left<=right)
    ) {
        return 1;
    }
    return 0;
}


/*
========================================================================
ǽ: ޤǤ1֤
: (x, y) = 
: ޤǤ1, Ǥʤ0
­:
========================================================================
*/
int
LODRect::include(int x, int y)
{
    if (top<=y && y<bottom && left<=x && x<right) {
        return 1;
    }
    return 0;
}


/*
========================================================================
ǽ: Υ쥯󥰥ܤƤ1֤
: r = 쥯󥰥
: ܤƤ1, Ǥʤ0
­:
========================================================================
*/
int
LODRect::contact(LODRect* r)
{
    if (left==r->right
        &&
        (top<=r->top && r->top<bottom)
        ||
        (top<=r->bottom && r->bottom<bottom)) {
        return 1;
    }
    if (right==r->left
        &&
        (top<=r->top && r->top<bottom)
        ||
        (top<=r->bottom && r->bottom<bottom)) {
        return 1;
    }
    if (bottom==r->top
        &&
        (left<=r->left && r->left<right)
        ||
        (left<=r->right && r->right<right)) {
        return 1;
    }
    if (top==r->bottom
        &&
        (left<=r->left && r->left<right)
        ||
        (left<=r->right && r->right<right)) {
        return 1;
    }

    if (left==r->right
        &&
        (r->top<=top && top<r->bottom)
        ||
        (r->top<=bottom && bottom<r->bottom)) {
        return 1;
    }
    if (right==r->left
        &&
        (r->top<=top && top<r->bottom)
        ||
        (r->top<=bottom && bottom<r->bottom)) {
        return 1;
    }
    if (bottom==r->top
        &&
        (r->left<=left && left<r->right)
        ||
        (r->left<=right && right<r->right)) {
        return 1;
    }
    if (top==r->bottom
        &&
        (r->left<=left && left<r->right)
        ||
        (r->left<=right && right<r->right)) {
        return 1;
    }
    return 0;
}


/*
========================================================================
ǽ: Υ쥯󥰥ǽʤ1֤
: r = 쥯󥰥
: ǽʤ1, Ǥʤ0
­: ǸǽȤϡĲɤ餫ܤƤƤƱĹ
      뤳Ȥ
========================================================================
*/
int
LODRect::can_union(LODRect* r)
{
    if (top==r->top
        && bottom==r->bottom
        && left==r->right) {
        // ܹ
        return 1;
    }
    else if (top==r->top
             && bottom==r->bottom
             && right==r->left) {
        // ܹ
        return 1;
    }
    else if (right==r->right
             && left==r->left
             && bottom==r->top) {
        // ܹ
        return 1;
    }
    else if (right==r->right
             && left==r->left
             && top==r->bottom) {
        // ܹ
        return 1;
    }
    return 0;
}



/*
========================================================================
ǽ: Υ쥯󥰥y orderѹ٤ʤ1֤
: r = 쥯󥰥
: ɬפ1, Ǥʤ0
­: ܤƤ뤫/ܤƤ1ˤʤ
========================================================================
*/
int
LODRect::need_change_y_order(LODRect* r)
{
    if (right==r->left
        && top <= r->top
        && r->top < bottom
        && top <= r->bottom
        && r->bottom < bottom) {
        // ܤƤ()
        return 1;
    }
    else if (left==r->right
             && top <= r->top
             && r->top < bottom
             && top <= r->bottom
             && r->bottom < bottom) {
        // ܤƤ()
        return 1;
    }
    else if (right==r->left
             && r->top <= top
             && top < r->bottom
             && r->top <= bottom
             && bottom < r->bottom) {
        // ܤƤ(礭)
        return 1;
    }
    else if (left==r->right
             && r->top <= top
             && top < r->bottom
             && r->top <= bottom
             && bottom < r->bottom) {
        // ܤƤ(礭)
        return 1;
    }
    else if (right==r->left &&
             top<=r->top && r->top < bottom) {
        // ܤƤ
        return 1;
    }
    else if (left==r->right &&
             top<=r->top && r->top < bottom) {
        // 
        return 1;
    }
    else if (right==r->left &&
             top<=r->bottom && r->bottom < bottom) {
        // ܤƤ
        return 1;
    }
    else if (left==r->right &&
             top<=r->bottom && r->bottom < bottom) {
        // 
        return 1;
    }
    return 0;
}



/*
========================================================================
ǽ: ǥХåѥ
: ʤ
: ʤ
­: 
========================================================================
*/
void
LODRect::dump()
{
	printf("[%d %d %d %d]\n", left, top, right, bottom);
}


